CreateSNSSmsPluginEndpoint
CreateSNSSmsPluginEndpoint
/zstack/v1/sns/application-endpoints/plugin/smsOperation ID
CreateSNSSmsPluginEndpointSince
5.5.38Execution Mode
SynchronousAuth Context
Auth RequiredAuth Context
Send these values as request headers when calling this API.
AuthorizationstringRequiredBearer Token
X-Tenant-IDstringX-Tenant-ID
Request Inputs
application/jsonBody Fields
paramsObjectRequiredRequest body parameter object.
nameStringRequiredThe notification endpoint name.
descriptionStringOptional. The notification endpoint description.
platformUuidStringRequiredThe platform must exist, be enabled, and be owned by or shared with the current account. The associated driver must be an SMS driver and support SEND_SNS_MESSAGE.
timeoutInSecondslongRequiredThe sending timeout.
propertiesMapOptional. The notification endpoint configuration.
receiversListRequiredThe SMS receiver phone numbers. Specify one to 200 unique phone numbers.
typeStringOptional. The SMS driver is determined by the platform associated with platformUuid.
resourceUuidStringOptional. The resource UUID.
tagUuidsListOptional. The tag UUID list.
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
